Lists
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{movie_id}/lists?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/lists?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/lists?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1241982,
"page": 1,
"results": [
{
"description": "familly",
"favorite_count": 0,
"id": 8501472,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "anime",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8293545,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"list_type": "movie",
"name": "Filmy",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8289773,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1003,
"list_type": "movie",
"name": "Founders WW",
"poster_path": null
},
{
"description": "asdasdasd",
"favorite_count": 0,
"id": 8487431,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4,
"list_type": "movie",
"name": "dasdasd",
"poster_path": null
},
{
"description": "newst list",
"favorite_count": 0,
"id": 8499713,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4,
"list_type": "movie",
"name": "new list",
"poster_path": null
},
{
"description": "Just an awesome list.",
"favorite_count": 0,
"id": 8499712,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4,
"list_type": "movie",
"name": "This is my awesome test list.",
"poster_path": null
},
{
"description": "movies to get",
"favorite_count": 0,
"id": 8499772,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 28,
"list_type": "movie",
"name": "Movies to get",
"poster_path": null
},
{
"description": "2024 Movies",
"favorite_count": 0,
"id": 8495794,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 84,
"list_type": "movie",
"name": "2024 Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8287840,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 23,
"list_type": "movie",
"name": "2024 Kids Movies ",
"poster_path": null
},
{
"description": "Ma liste de favoris",
"favorite_count": 0,
"id": 8426970,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 5,
"list_type": "movie",
"name": "Favoris",
"poster_path": null
},
{
"description": "List of movies for my server",
"favorite_count": 0,
"id": 7108109,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 119,
"list_type": "movie",
"name": "Movie Request List",
"poster_path": null
},
{
"description": "A list of Movies running in Theaters",
"favorite_count": 0,
"id": 63802,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 52,
"list_type": "movie",
"name": "Now Running",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8234063,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4886,
"list_type": "movie",
"name": "Favorite Actors",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8297247,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 168,
"list_type": "movie",
"name": "Library",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 103747,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1290,
"list_type": "movie",
"name": "Grandma",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8307167,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 30,
"list_type": "movie",
"name": "Trending Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 129316,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 345,
"list_type": "movie",
"name": "Want",
"poster_path": null
},
{
"description": "Super Watchlist",
"favorite_count": 0,
"id": 8501153,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 6,
"list_type": "movie",
"name": "ππΌππΎπππππ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8274484,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 17,
"list_type": "movie",
"name": "Watchlist",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 116928,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 552,
"list_type": "movie",
"name": "RADARR",
"poster_path": null
}
],
"total_pages": 7,
"total_results": 128
}Movies
Lists
This endpoint is used to get the lists that a movie has been added to.
GET
/
3
/
movie
/
{movie_id}
/
lists
Lists
Authorizations
Path Parameters
integer
Example:
"1241982"
Response
200 - application/json
OK
Example:
1241982
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"description": "familly",
"favorite_count": 0,
"id": 8501472,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "anime",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8293545,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"list_type": "movie",
"name": "Filmy",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8289773,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1003,
"list_type": "movie",
"name": "Founders WW",
"poster_path": null
},
{
"description": "asdasdasd",
"favorite_count": 0,
"id": 8487431,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4,
"list_type": "movie",
"name": "dasdasd",
"poster_path": null
},
{
"description": "newst list",
"favorite_count": 0,
"id": 8499713,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4,
"list_type": "movie",
"name": "new list",
"poster_path": null
},
{
"description": "Just an awesome list.",
"favorite_count": 0,
"id": 8499712,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4,
"list_type": "movie",
"name": "This is my awesome test list.",
"poster_path": null
},
{
"description": "movies to get",
"favorite_count": 0,
"id": 8499772,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 28,
"list_type": "movie",
"name": "Movies to get",
"poster_path": null
},
{
"description": "2024 Movies",
"favorite_count": 0,
"id": 8495794,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 84,
"list_type": "movie",
"name": "2024 Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8287840,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 23,
"list_type": "movie",
"name": "2024 Kids Movies ",
"poster_path": null
},
{
"description": "Ma liste de favoris",
"favorite_count": 0,
"id": 8426970,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 5,
"list_type": "movie",
"name": "Favoris",
"poster_path": null
},
{
"description": "List of movies for my server",
"favorite_count": 0,
"id": 7108109,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 119,
"list_type": "movie",
"name": "Movie Request List",
"poster_path": null
},
{
"description": "A list of Movies running in Theaters",
"favorite_count": 0,
"id": 63802,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 52,
"list_type": "movie",
"name": "Now Running",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8234063,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 4886,
"list_type": "movie",
"name": "Favorite Actors",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8297247,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 168,
"list_type": "movie",
"name": "Library",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 103747,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1290,
"list_type": "movie",
"name": "Grandma",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8307167,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 30,
"list_type": "movie",
"name": "Trending Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 129316,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 345,
"list_type": "movie",
"name": "Want",
"poster_path": null
},
{
"description": "Super Watchlist",
"favorite_count": 0,
"id": 8501153,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 6,
"list_type": "movie",
"name": "ππΌππΎπππππ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8274484,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 17,
"list_type": "movie",
"name": "Watchlist",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 116928,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 552,
"list_type": "movie",
"name": "RADARR",
"poster_path": null
}
]
Example:
7
Example:
128
Was this page helpful?
βI